Index: admin/js/jsToolBar/popup_posts.js
===================================================================
--- admin/js/jsToolBar/popup_posts.js	(revision 2566)
+++ admin/js/jsToolBar/popup_posts.js	(revision 2566)
@@ -0,0 +1,16 @@
+$(function() {
+	$('#link-insert-cancel').click(function() {
+		window.close();
+	});
+
+	$('#form-entries tr>td.maximal>a').click(function() {
+		// Get post_id
+		var tb = window.opener.the_toolbar;
+		var data = tb.elements.link.data;
+
+		data.href = tb.stripBaseURL($(this).attr('title'));
+
+		tb.elements.link.fncall[tb.mode].call(tb);
+		window.close();
+	});
+});
Index: admin/langs.php
===================================================================
--- admin/langs.php	(revision 2720)
+++ admin/langs.php	(revision 2594)
@@ -50,5 +50,5 @@
 
 		dcPage::addSuccessNotice(__('Language has been successfully deleted.'));
-		http::redirect($core->adminurl->get("admin.langs"));
+		http::redirect('langs.php');
 	}
 	catch (Exception $e)
@@ -93,5 +93,5 @@
 			dcPage::addSuccessNotice(__('Language has been successfully installed.'));
 		}
-		http::redirect($core->adminurl->get("admin.langs"));
+		http::redirect('langs.php');
 	}
 	catch (Exception $e)
@@ -129,5 +129,5 @@
 			dcPage::addSuccessNotice(__('Language has been successfully installed.'));
 		}
-		http::redirect($core->adminurl->get("admin.langs"));
+		http::redirect('langs.php');
 	}
 	catch (Exception $e)
@@ -161,5 +161,5 @@
 '<p>'.sprintf(__('You can change your user language in your <a href="%1$s">preferences</a> or '.
 'change your blog\'s main language in your <a href="%2$s">blog settings</a>.'),
-$core->adminurl->get("admin.user.preferences"),$core->adminurl->get("admin.blog.pref")).'</p>';
+'preferences.php','blog_pref.php').'</p>';
 
 echo
@@ -203,5 +203,5 @@
 		{
 			echo
-			'<form action="'.$core->adminurl->get("admin.langs").'" method="post">'.
+			'<form action="langs.php" method="post">'.
 			'<div>'.
 			$core->formNonce().
@@ -234,5 +234,5 @@
 
 	echo
-	'<form method="post" action="'.$core->adminurl->get("admin.langs").'" enctype="multipart/form-data" class="fieldset">'.
+	'<form method="post" action="langs.php" enctype="multipart/form-data" class="fieldset">'.
 	'<h4>'.__('Available languages').'</h4>'.
 	'<p>'.sprintf(__('You can download and install a additional language directly from Dotclear.net. '.
@@ -252,5 +252,5 @@
 	# 'Upload language pack' form
 	echo
-	'<form method="post" action="'.$core->adminurl->get("admin.langs").'" enctype="multipart/form-data" class="fieldset">'.
+	'<form method="post" action="langs.php" enctype="multipart/form-data" class="fieldset">'.
 	'<h4>'.__('Upload a zip file').'</h4>'.
 	'<p>'.__('You can install languages by uploading zip files.').'</p>'.
Index: admin/media.php
===================================================================
--- admin/media.php	(revision 2720)
+++ admin/media.php	(revision 2529)
@@ -74,8 +74,5 @@
 $popup = (integer) !empty($_GET['popup']);
 
-$page_url = $core->adminurl->get("admin.media",array('popup' => $popup,'post_id' => $post_id));
-if (($temp = $core->callBehavior('adminMediaURL',$page_url))!='') {
-	$page_url = $temp;
-}
+$page_url = 'media.php?popup='.$popup.'&post_id='.$post_id;
 
 if ($popup) {
@@ -365,17 +362,7 @@
 }
 
-// Remove hidden directories (unless DC_SHOW_HIDDEN_DIRS is set to true)
-if (!defined('DC_SHOW_HIDDEN_DIRS') || (DC_SHOW_HIDDEN_DIRS == false)) {
-	for ($i = count($dir['dirs']) - 1; $i >= 0; $i--) {
-		if ($dir['dirs'][$i]->d) {
-			if (strpos($dir['dirs'][$i]->relname,'.') !== false) {
-				unset($dir['dirs'][$i]);
-			}
-		}
-	}
-}
 $items = array_values(array_merge($dir['dirs'],$dir['files']));
 
-$fmt_form_media = '<form action="'.$core->adminurl->get("admin.media").'" method="post" id="form-medias">'.
+$fmt_form_media = '<form action="media.php" method="post" id="form-medias">'.
 	'<div class="files-group">%s</div>'.
 	'<p class="hidden">'.$core->formNonce() . form::hidden(array('d'),$d).'</p>';
@@ -403,5 +390,5 @@
 
 	echo
-	'<form action="'.$core->adminurl->get("admin.media").'" method="get" id="filters-form">'.
+	'<form action="media.php" method="get" id="filters-form">'.
 	'<p class="two-boxes"><label for="file_sort" class="classic">'.__('Sort files:').'</label> '.
 	form::combo('file_sort',$sort_combo,$file_sort).'</p>'.
@@ -439,12 +426,12 @@
 '</div>';
 
+if ($core_media_writable || $core_media_archivable) {
+	echo
+	'<div class="vertical-separator">'.
+	'<h3 class="out-of-screen-if-js">'.sprintf(__('In %s:'),($d == '' ? '“'.__('Media manager').'”' : '“'.$d.'”')).'</h3>';
+}
+
 $core_media_archivable = $core->auth->check('media_admin',$core->blog->id) &&
 	!(count($items) == 0 || (count($items) == 1 && $items[0]->parent));
-
-if ($core_media_writable || $core_media_archivable) {
-	echo
-	'<div class="vertical-separator">'.
-	'<h3 class="out-of-screen-if-js">'.sprintf(__('In %s:'),($d == '' ? '“'.__('Media manager').'”' : '“'.$d.'”')).'</h3>';
-}
 
 if ($core_media_writable || $core_media_archivable) {
@@ -522,5 +509,5 @@
 		echo
 		'<p class="one-file form-help info">'.__('To send several files at the same time, you can activate the enhanced uploader in').
-		' <a href="'.$core->adminurl->get("admin.user.preferences",array('tab' => 'user-options')).'">'.__('My preferences').'</a></p>';
+		' <a href="preferences.php?tab=user-options">'.__('My preferences').'</a></p>';
 	}
 
@@ -555,5 +542,5 @@
 if (!$popup) {
 	echo '<div class="info"><p>'.sprintf(__('Current settings for medias and images are defined in %s'),
-	'<a href="'.$core->adminurl->get("admin.blog.pref").'#medias-settings">'.__('Blog parameters').'</a>').'</p></div>';
+	'<a href="blog_pref.php#medias-settings">'.__('Blog parameters').'</a>').'</p></div>';
 }
 
@@ -578,8 +565,6 @@
 		}
 	} else {
-		$link = $core->adminurl->get("admin.media.item", array('id' => $f->media_id,'popup' => $popup,'post_id' => $post_id));
-        if (($temp = $core->callBehavior('adminMediaURL',$link))!='') {
-            $link = $temp;
-        }
+		$link =
+		'media_item.php?id='.$f->media_id.'&amp;popup='.$popup.'&amp;post_id='.$post_id;
 	}
 
@@ -608,7 +593,6 @@
 	if ($post_id && !$f->d) {
 		$act .=
-		'<a class="attach-media" title="'.__('Attach this file to entry').'" href="'.
-		$core->adminurl->get("admin.post.media", array('media_id' => $f->media_id, 'post_id' => $post_id,'attach' => 1)).
-		'">'.
+		'<a class="attach-media" title="'.__('Attach this file to entry').'" href="post_media.php?media_id='.$f->media_id.
+		'&amp;post_id='.$post_id.'&amp;attach=1">'.
 		'<img src="images/plus.png" alt="'.__('Attach this file to entry').'"/>'.
 		'</a>';
@@ -634,5 +618,5 @@
 
 	if ($f->type == 'audio/mpeg3') {
-		$lst .= '<li>'.dcMedia::mp3player($f->file_url,$core->adminurl->get("admin.home",array('pf' => 'player_mp3.swf'))).'</li>';
+		$lst .= '<li>'.dcMedia::mp3player($f->file_url,'index.php?pf=player_mp3.swf').'</li>';
 	}
 
Index: admin/media_item.php
===================================================================
--- admin/media_item.php	(revision 2723)
+++ admin/media_item.php	(revision 2566)
@@ -29,6 +29,6 @@
 $file = null;
 $popup = (integer) !empty($_GET['popup']);
-$page_url = $core->adminurl->get("admin.media.item",array('popup' => $popup,'post_id' => $post_id));
-$media_page_url = $core->adminurl->get("admin.media",array('popup' => $popup,'post_id' => $post_id));
+$page_url = 'media_item.php?popup='.$popup.'&post_id='.$post_id;
+$media_page_url = 'media.php?popup='.$popup.'&post_id='.$post_id;
 
 $id = !empty($_REQUEST['id']) ? (integer) $_REQUEST['id'] : '';
@@ -209,5 +209,5 @@
 if ($popup) {
 	$starting_scripts .=
-	$core->callBehavior('adminPopupMedia');
+	dcPage::jsLoad('js/jsToolBar/popup_media.js');
 }
 call_user_func($open_f,__('Media manager'),
@@ -469,10 +469,10 @@
 if ($file->type == 'audio/mpeg3')
 {
-	echo dcMedia::mp3player($file->file_url,$core->adminurl->get("admin.home",array('pf' => 'player_mp3.swf')));
+	echo dcMedia::mp3player($file->file_url,'index.php?pf=player_mp3.swf');
 }
 
 if ($file->type == 'video/x-flv' || $file->type == 'video/mp4' || $file->type == 'video/x-m4v')
 {
-	echo dcMedia::flvplayer($file->file_url,$core->adminurl->get("admin.home",array('pf' => 'player_flv.swf')));
+	echo dcMedia::flvplayer($file->file_url,'index.php?pf=player_flv.swf');
 }
 
Index: admin/plugin.php
===================================================================
--- admin/plugin.php	(revision 2708)
+++ admin/plugin.php	(revision 2566)
@@ -36,5 +36,4 @@
 	$p_info = $core->plugins->getModules($p);
 
-	$p_name = $p;
 	$p_url = 'plugin.php?p='.$p;
 
Index: admin/popup_link.php
===================================================================
--- admin/popup_link.php	(revision 2614)
+++ admin/popup_link.php	(revision 2566)
@@ -19,5 +19,5 @@
 $title = !empty($_GET['title']) ? $_GET['title'] : '';
 
-dcPage::openPopup(__('Add a link'),$core->callBehavior('adminPopupLink'));
+dcPage::openPopup(__('Add a link'),dcPage::jsLoad('js/jsToolBar/popup_link.js'));
 
 echo '<h2 class="page-title">'.__('Add a link').'</h2>';
Index: admin/popup_posts.php
===================================================================
--- admin/popup_posts.php	(revision 2614)
+++ admin/popup_posts.php	(revision 2566)
@@ -48,5 +48,5 @@
 dcPage::openPopup(__('Add a link to an entry'),
 	dcPage::jsLoad('js/_posts_list.js').
-	$core->callBehavior('adminPopupPosts'));
+	dcPage::jsLoad('js/jsToolBar/popup_posts.js'));
 
 echo '<h2 class="page-title">'.__('Add a link to an entry').'</h2>';
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 2722)
+++ admin/post.php	(revision 2566)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2014 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -19,5 +19,4 @@
 $post_dt = '';
 $post_format = $core->auth->getOption('post_format');
-$post_editor = $core->auth->getOption('editor');
 $post_password = '';
 $post_url = '';
@@ -41,6 +40,6 @@
 $can_delete = false;
 
-$post_headlink = '<link rel="%s" title="%s" href="'.$core->adminurl->get('admin.post',array('id' => "%s"),'&').'" />';
-$post_link = '<a href="'.$core->adminurl->get('admin.post',array('id' => "%s"),'&').'" title="%s">%s</a>';
+$post_headlink = '<link rel="%s" title="%s" href="post.php?id=%s" />';
+$post_link = '<a href="post.php?id=%s" title="%s">%s</a>';
 
 $next_link = $prev_link = $next_headlink = $prev_headlink = null;
@@ -62,9 +61,4 @@
 # Formaters combo
 $formaters_combo = dcAdminCombos::getFormatersCombo();
-foreach ($formaters_combo as $editor => $formats) {
-	foreach ($formats as $format) {
-		$formaters_combo[$editor][$format] = "$editor:$format";
-	}
-}
 
 # Languages combo
@@ -79,14 +73,7 @@
 $tb_urls = $tb_excerpt = '';
 
-if (count($formaters_combo)==0 || !$core->auth->getOption('editor') || $core->auth->getOption('editor')=='') {
-	dcPage::addNotice("message",
-					  sprintf(__('Choose an active editor in %s.'),
-								  '<a href="'.$core->adminurl->get("admin.user.preferences").'#user-options">'.__('your preferences').'</a>'
-								  )
-					  );
-}
-
 # Get entry informations
-if (!empty($_REQUEST['id'])) {
+if (!empty($_REQUEST['id']))
+{
 	$page_title = __('Edit entry');
 
@@ -95,8 +82,11 @@
 	$post = $core->blog->getPosts($params);
 
-	if ($post->isEmpty()) {
+	if ($post->isEmpty())
+	{
 		$core->error->add(__('This entry does not exist.'));
 		$can_view_page = false;
-	} else {
+	}
+	else
+	{
 		$post_id = $post->post_id;
 		$cat_id = $post->cat_id;
@@ -158,5 +148,5 @@
 }
 
-$comments_actions_page = new dcCommentsActionsPage($core,$core->adminurl->get('admin.post'),array('id' => $post_id, '_ANCHOR'=>$anchor,'section' => $anchor));
+$comments_actions_page = new dcCommentsActionsPage($core,'post.php',array('id' => $post_id, '_ANCHOR'=>$anchor,'section' => $anchor));
 
 if ($comments_actions_page->process()) {
@@ -185,8 +175,5 @@
 		if (!$core->error->flag()) {
 			dcPage::addSuccessNotice(__('All pings sent.'));
-			http::redirect($core->adminurl->get(
-				'admin.post',
-				array('id' => $post_id, 'tb'=> '1')
-			));
+			http::redirect('post.php?id='.$post_id.'&tb=1');
 		}
 	}
@@ -194,6 +181,7 @@
 
 # Format excerpt and content
-elseif (!empty($_POST) && $can_edit_post) {
-    list(, $post_format) = explode(':', $_POST['post_format']);
+elseif (!empty($_POST) && $can_edit_post)
+{
+	$post_format = $_POST['post_format'];
 	$post_excerpt = $_POST['post_excerpt'];
 	$post_content = $_POST['post_content'];
@@ -250,5 +238,5 @@
 		$core->callBehavior('adminBeforePostDelete',$post_id);
 		$core->blog->delPost($post_id);
-		http::redirect($core->adminurl->get("admin.posts"));
+		http::redirect('posts.php');
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -301,6 +289,8 @@
 
 	# Update post
-	if ($post_id) {
-		try {
+	if ($post_id)
+	{
+		try
+		{
 			# --BEHAVIOR-- adminBeforePostUpdate
 			$core->callBehavior('adminBeforePostUpdate',$cur,$post_id);
@@ -311,15 +301,17 @@
 			$core->callBehavior('adminAfterPostUpdate',$cur,$post_id);
 			dcPage::addSuccessNotice (sprintf(__('The post "%s" has been successfully updated'),html::escapeHTML($cur->post_title)));
-			http::redirect($core->adminurl->get(
-				'admin.post',
-				array('id' => $post_id)
-			));
-		} catch (Exception $e) {
+			http::redirect('post.php?id='.$post_id);
+		}
+		catch (Exception $e)
+		{
 			$core->error->add($e->getMessage());
 		}
-	} else {
+	}
+	else
+	{
 		$cur->user_id = $core->auth->userID();
 
-		try {
+		try
+		{
 			# --BEHAVIOR-- adminBeforePostCreate
 			$core->callBehavior('adminBeforePostCreate',$cur);
@@ -331,9 +323,8 @@
 
 			dcPage::addSuccessNotice(__('Entry has been successfully created.'));
-			http::redirect($core->adminurl->get(
-				'admin.post',
-				array('id' => $return_id)
-			));
-		} catch (Exception $e) {
+			http::redirect('post.php?id='.$return_id);
+		}
+		catch (Exception $e)
+		{
 			$core->error->add($e->getMessage());
 		}
@@ -381,15 +372,10 @@
 }
 
-$admin_post_behavior = '';
-if (($core->auth->getOption('editor')==$post_editor)
-    && in_array($post_format, $core->getFormaters($core->auth->getOption('editor')))) {
-    $admin_post_behavior = $core->callBehavior('adminPostEditor');
-}
 
 dcPage::open($page_title.' - '.__('Entries'),
 	dcPage::jsDatePicker().
+	dcPage::jsToolBar().
 	dcPage::jsModal().
 	dcPage::jsMetaEditor().
-    $admin_post_behavior.
 	dcPage::jsLoad('js/_post.js').
 	dcPage::jsConfirmClose('entry-form','comment-form').
@@ -401,5 +387,5 @@
 		array(
 			html::escapeHTML($core->blog->name) => '',
-			__('Entries') => $core->adminurl->get("admin.posts"),
+			__('Entries') => 'posts.php',
 			($post_id ? $page_title_edit : $page_title) => ''
 		))
@@ -460,14 +446,6 @@
 /* Post form if we can edit post
 -------------------------------------------------------- */
-if ($can_edit_post) {
-	if (count($formaters_combo)>0 && ($core->auth->getOption('editor') && $core->auth->getOption('editor')!='')) {
-        $post_format_field = form::combo('post_format',$formaters_combo,"$post_editor:$post_format",'maximal');
-	} else {
-		$post_format_field = sprintf(__('Choose an active editor in %s.'),
-		'<a href="'.$core->adminurl->get("admin.user.preferences").'#user-options">'.__('your preferences').'</a>'
-		);
-		$post_format_field .= form::hidden('post_format','xhtml');
-	}
-
+if ($can_edit_post)
+{
 	$sidebar_items = new ArrayObject(array(
 		'status-box' => array(
@@ -489,9 +467,8 @@
 					'<div>'.
 					'<h5 id="label_format"><label for="post_format" class="classic">'.__('Text formatting').'</label></h5>'.
-					'<p>'.$post_format_field.'</p>'.
+					'<p>'.form::combo('post_format',$formaters_combo,$post_format,'maximal').
+					'</p>'.
 					'<p class="format_control control_no_xhtml">'.
-					'<a id="convert-xhtml" class="button'.($post_id && $post_format != 'wiki' ? ' hide' : '').'" href="'.
-					$core->adminurl->get('admin.post',array('id'=> $post_id,'xconv'=> '1')).
-					'">'.
+					'<a id="convert-xhtml" class="button'.($post_id && $post_format != 'wiki' ? ' hide' : '').'" href="post.php?id='.$post_id.'&amp;xconv=1">'.
 					__('Convert to XHTML').'</a></p></div>')),
 		'metas-box' => array(
@@ -590,5 +567,5 @@
 
 	echo '<div class="multi-part" title="'.($post_id ? __('Edit entry') : __('New entry')).'" id="edit-entry">';
-	echo '<form action="'.$core->adminurl->get('admin.post').'" method="post" id="entry-form">';
+	echo '<form action="post.php" method="post" id="entry-form">';
 	echo '<div id="entry-wrapper">';
 	echo '<div id="entry-content"><div class="constrained">';
@@ -616,5 +593,5 @@
 	} else {
 		echo
-		'<a id="post-cancel" href="'.$core->adminurl->get("admin.home").'" class="button" accesskey="c">'.__('Cancel').' (c)</a>';
+		'<a id="post-cancel" href="index.php" class="button" accesskey="c">'.__('Cancel').' (c)</a>';
 	}
 
@@ -668,5 +645,5 @@
 
 	if ($has_action) {
-		echo '<form action="'.$core->adminurl->get('admin.post').'" id="form-comments" method="post">';
+		echo '<form action="post.php" id="form-comments" method="post">';
 	}
 
@@ -675,5 +652,5 @@
 		showComments($comments,$has_action);
 	} else {
-		echo '<p>'.__('No comments').'</p>';
+		echo '<p>'.__('No comment').'</p>';
 	}
 
@@ -699,5 +676,5 @@
 	'<h3>'.__('Add a comment').'</h3>'.
 
-	'<form action="'.$core->adminurl->get("admin.comment").'" method="post" id="comment-form">'.
+	'<form action="comment.php" method="post" id="comment-form">'.
 	'<div class="constrained">'.
 	'<p><label for="comment_author" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Name:').'</label>'.
@@ -751,5 +728,5 @@
 	# tracbacks actions
 	if ($has_action) {
-		echo '<form action="'.$core->adminurl->get("admin.post").'" id="form-trackbacks" method="post">';
+		echo '<form action="post.php" id="form-trackbacks" method="post">';
 	}
 
@@ -785,5 +762,5 @@
 		echo
 		'<h3>'.__('Ping blogs').'</h3>'.
-		'<form action="'.$core->adminurl->get("admin.post",array('id' => $post_id)).'" id="trackback-form" method="post">'.
+		'<form action="post.php?id='.$post_id.'" id="trackback-form" method="post">'.
 		'<p><label for="tb_urls" class="area">'.__('URLs to ping:').'</label>'.
 		form::textarea('tb_urls', 60, 5, $tb_urls).
@@ -798,5 +775,5 @@
 		(empty($_GET['tb_auto']) ?
 			'&nbsp;&nbsp;<a class="button" href="'.
-			$core->adminurl->get("admin.post",array('id'=> $post_id,'tb_auto' => 1,'tb' => 1)).
+			'post.php?id='.$post_id.'&amp;tb_auto=1&amp;tb=1'.
 			'">'.__('Auto discover ping URLs').'</a>'
 		: '').
@@ -850,5 +827,4 @@
 function showComments($rs,$has_action,$tb=false)
 {
-	global $core;
 	echo
 	'<div class="table-outer">'.
@@ -869,5 +845,5 @@
 	while($rs->fetch())
 	{
-		$comment_url = $core->adminurl->get("admin.comment",array('id' => $rs->comment_id));
+		$comment_url = 'comment.php?id='.$rs->comment_id;
 
 		$img = '<img alt="%1$s" title="%1$s" src="images/%2$s" />';
@@ -895,5 +871,5 @@
 		'<td class="maximal">'.html::escapeHTML($rs->comment_author).'</td>'.
 		'<td class="nowrap">'.dt::dt2str(__('%Y-%m-%d %H:%M'),$rs->comment_dt).'</td>'.
-		'<td class="nowrap"><a href="'.$core->adminurl->get("admin.comments",array('ip' => $rs->comment_ip)).'">'.$rs->comment_ip.'</a></td>'.
+		'<td class="nowrap"><a href="comments.php?ip='.$rs->comment_ip.'">'.$rs->comment_ip.'</a></td>'.
 		'<td class="nowrap status">'.$img_status.'</td>'.
 		'<td class="nowrap status"><a href="'.$comment_url.'">'.
Index: admin/post_media.php
===================================================================
--- admin/post_media.php	(revision 2720)
+++ admin/post_media.php	(revision 2566)
@@ -72,5 +72,5 @@
 
 		echo
-		'<form action="'.$core->adminurl->get("admin.post.media").'" method="post">'.
+		'<form action="post_media.php" method="post">'.
 		'<p>'.__('Are you sure you want to remove this attachment?').'</p>'.
 		'<p><input type="submit" class="reset" value="'.__('Cancel').'" /> '.
Index: admin/posts.php
===================================================================
--- admin/posts.php	(revision 2720)
+++ admin/posts.php	(revision 2566)
@@ -112,5 +112,5 @@
 # Actions combo box
 
-$posts_actions_page = new dcPostsActionsPage($core,$core->adminurl->get("admin.posts"));
+$posts_actions_page = new dcPostsActionsPage($core,'posts.php');
 
 if ($posts_actions_page->process()) {
@@ -258,6 +258,6 @@
 {
 	echo
-	'<p class="top-add"><a class="button add" href="'.$core->adminurl->get("admin.post").'">'.__('New entry').'</a></p>'.
-	'<form action="'.$core->adminurl->get("admin.posts").'" method="get" id="filters-form">'.
+	'<p class="top-add"><a class="button add" href="post.php">'.__('New entry').'</a></p>'.
+	'<form action="posts.php" method="get" id="filters-form">'.
 	'<h3 class="out-of-screen-if-js">'.$form_filter_title.'</h3>'.
 
@@ -302,5 +302,5 @@
 	# Show posts
 	$post_list->display($page,$nb_per_page,
-	'<form action="'.$core->adminurl->get("admin.posts").'" method="post" id="form-entries">'.
+	'<form action="posts.php" method="post" id="form-entries">'.
 
 	'%s'.
Index: admin/posts_actions.php
===================================================================
--- admin/posts_actions.php	(revision 2720)
+++ admin/posts_actions.php	(revision 2566)
@@ -26,5 +26,5 @@
 	$args['redir'] = $_REQUEST['redir'];
 } else {
-	$uri = $core->adminurl->get("admin.posts");
+	$uri = 'posts.php';
 	$args=array();
 }
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 2720)
+++ admin/preferences.php	(revision 2566)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2014 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -27,7 +27,4 @@
 
 $user_options = $core->auth->getOptions();
-if (empty($user_options['editor'])) {
-    $user_options['editor'] = '';
-}
 
 $core->auth->user_prefs->addWorkspace('dashboard');
@@ -61,19 +58,6 @@
 }
 
-# Editors combo
-$editors_combo = dcAdminCombos::getEditorsCombo();
-$editors = array_keys($editors_combo);
-
 # Formaters combo
 $formaters_combo = dcAdminCombos::getFormatersCombo();
-$formaters_combo_editor = array();
-
-if (!empty($user_options['editor']) && !empty($formaters_combo[$user_options['editor']])) {
-    $formaters_combo_editor = $formaters_combo[$user_options['editor']];
-} elseif (count($editors)!=0) {
-    $formaters_combo_editor = $formaters_combo[$editors[0]];
-} else {
-    $formaters_combo = array();
-}
 
 $status_combo = dcAdminCombos::getPostStatusescombo();
@@ -141,5 +125,5 @@
 		dcPage::addSuccessNotice(__('Personal information has been successfully updated.'));
 
-		http::redirect($core->adminurl->get("admin.user.preferences"));
+		http::redirect('preferences.php');
 	}
 	catch (Exception $e)
@@ -171,5 +155,4 @@
 		}
 		$user_options['post_format'] = $_POST['user_post_format'];
-		$user_options['editor'] = $_POST['user_editor'];
 		$user_options['enable_wysiwyg'] = !empty($_POST['user_wysiwyg']);
 
@@ -195,5 +178,5 @@
 
 		dcPage::addSuccessNotice(__('Personal options has been successfully updated.'));
-		http::redirect($core->adminurl->get("admin.user.preferences").'#user-options');
+		http::redirect('preferences.php#user-options');
 	}
 	catch (Exception $e)
@@ -221,5 +204,5 @@
 
 		dcPage::addSuccessNotice(__('Dashboard options has been successfully updated.'));
-		http::redirect($core->adminurl->get("admin.user.preferences").'#user-favorites');
+		http::redirect('preferences.php#user-favorites');
 	}
 	catch (Exception $e)
@@ -247,5 +230,5 @@
 		if (!$core->error->flag()) {
 			dcPage::addSuccessNotice(__('Favorites have been successfully added.'));
-			http::redirect($core->adminurl->get("admin.user.preferences").'#user-favorites');
+			http::redirect('preferences.php#user-favorites');
 		}
 	} catch (Exception $e) {
@@ -274,5 +257,5 @@
 		if (!$core->error->flag()) {
 			dcPage::addSuccessNotice(__('Favorites have been successfully removed.'));
-			http::redirect($core->adminurl->get("admin.user.preferences").'#user-favorites');
+			http::redirect('preferences.php#user-favorites');
 		}
 	} catch (Exception $e) {
@@ -301,5 +284,5 @@
 	if (!$core->error->flag()) {
 		dcPage::addSuccessNotice(__('Favorites have been successfully updated.'));
-		http::redirect($core->adminurl->get("admin.user.preferences").'#user-favorites');
+		http::redirect('preferences.php#user-favorites');
 	}
 }
@@ -312,5 +295,5 @@
 	if (!$core->error->flag()) {
 		dcPage::addSuccessNotice(__('Default favorites have been successfully updated.'));
-		http::redirect($core->adminurl->get("admin.user.preferences").'#user-favorites');
+		http::redirect('preferences.php#user-favorites');
 	}
 }
@@ -322,5 +305,4 @@
 	($user_acc_nodragdrop ? '' : dcPage::jsLoad('js/_preferences-dragdrop.js')).
 	dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
-	dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js').
 	dcPage::jsLoad('js/jquery/jquery.pwstrength.js').
 		'<script type="text/javascript">'."\n".
@@ -334,5 +316,4 @@
 				sprintf(__('Password strength: %s'),__('very strong'))."']});\n".
 		"});\n".
-        'var formats_by_editor = \''.json_encode($formaters_combo).'\';'.
 		"\n//]]>\n".
 		"</script>\n".
@@ -377,5 +358,5 @@
 echo
 '<h3>'.__('My profile').'</h3>'.
-'<form action="'.$core->adminurl->get("admin.user.preferences").'" method="post" id="user-form">'.
+'<form action="preferences.php" method="post" id="user-form">'.
 
 '<p><label for="user_name">'.__('Last Name:').'</label>'.
@@ -437,5 +418,5 @@
 
 echo
-'<form action="'.$core->adminurl->get("admin.user.preferences").'#user-options" method="post" id="opts-forms">'.
+'<form action="preferences.php" method="post" id="opts-forms">'.
 '<h3>'.__('My options').'</h3>';
 
@@ -473,9 +454,6 @@
 '<h4>'.__('Edition').'</h4>'.
 
-'<p class="field"><label for="user_editor">'.__('Preferred editor:').'</label>'.
-form::combo('user_editor',array_merge(array(__('Choose an editor') => ''),$editors_combo),$user_options['editor']).'</p>'.
-
 '<p class="field"><label for="user_post_format">'.__('Preferred format:').'</label>'.
-form::combo('user_post_format',array_merge(array('' => ''), $formaters_combo_editor),$user_options['post_format']).'</p>'.
+form::combo('user_post_format',$formaters_combo,$user_options['post_format']).'</p>'.
 
 '<p class="field"><label for="user_post_status">'.__('Default entry status:').'</label>'.
@@ -510,5 +488,5 @@
 echo '<h3>'.__('My dashboard').'</h3>';
 
-echo '<form action="'.$core->adminurl->get("admin.user.preferences").'" method="post" id="favs-form" class="two-boxes odd">';
+echo '<form action="preferences.php" method="post" id="favs-form" class="two-boxes odd">';
 
 echo '<div id="my-favs" class="fieldset"><h4>'.__('My favorites').'</h4>';
@@ -602,5 +580,5 @@
 
 echo
-'<form action="'.$core->adminurl->get("admin.user.preferences").'" method="post" id="db-forms" class="two-boxes even">'.
+'<form action="preferences.php" method="post" id="db-forms" class="two-boxes even">'.
 
 '<div class="fieldset">'.
Index: admin/search.php
===================================================================
--- admin/search.php	(revision 2720)
+++ admin/search.php	(revision 2727)
@@ -29,4 +29,6 @@
 if ($q)
 {
+	$q = html::escapeHTML($q);
+
 	$params = array();
 
@@ -70,5 +72,5 @@
 
 if ($qtype == 'p') {
-	$posts_actions_page = new dcPostsActionsPage($core,$core->adminurl->get("admin.search"),array('q'=>$q,'qtype'=>$qtype));
+	$posts_actions_page = new dcPostsActionsPage($core,'search.php',array('q'=>$q,'qtype'=>$qtype));
 
 	if ($posts_actions_page->process()) {
@@ -76,5 +78,5 @@
 	}
 } else {
-	$comments_actions_page = new dcCommentsActionsPage($core,$core->adminurl->get("admin.search"),array('q'=>$q,'qtype'=>$qtype));
+	$comments_actions_page = new dcCommentsActionsPage($core,'search.php',array('q'=>$q,'qtype'=>$qtype));
 
 	if ($comments_actions_page->process()) {
@@ -92,7 +94,7 @@
 
 echo
-'<form action="'.$core->adminurl->get("admin.search").'" method="get">'.
+'<form action="search.php" method="get">'.
 '<div class="fieldset"><h3>'.__('Search options').'</h3>'.
-'<p><label for="q">'.__('Query:').' </label>'.form::field('q',30,255,html::escapeHTML($q)).'</p>'.
+'<p><label for="q">'.__('Query:').' </label>'.form::field('q',30,255,$q).'</p>'.
 '<p><label for="qtype1" class="classic">'.form::radio(array('qtype','qtype1'),'p',$qtype == 'p').' '.__('Search in entries').'</label> '.
 '<label for="qtype2" class="classic">'.form::radio(array('qtype','qtype2'),'c',$qtype == 'c').' '.__('Search in comments').'</label></p>'.
@@ -116,5 +118,5 @@
 
 		$post_list->display($page,$nb_per_page,
-		'<form action="'.$core->adminurl->get("admin.search").'" method="post" id="form-entries">'.
+		'<form action="search.php" method="post" id="form-entries">'.
 
 		'%s'.
@@ -144,5 +146,5 @@
 
 		$comment_list->display($page,$nb_per_page,
-		'<form action="'.$core->adminurl->get("admin.search").'" method="post" id="form-comments">'.
+		'<form action="search.php" method="post" id="form-comments">'.
 
 		'%s'.
Index: admin/user.php
===================================================================
--- admin/user.php	(revision 2720)
+++ admin/user.php	(revision 2566)
@@ -131,5 +131,5 @@
 
 			dcPage::addSuccessNotice(__('User has been successfully updated.'));
-			http::redirect($core->adminurl->get("admin.user",array('id' => $new_id)));
+			http::redirect('user.php?id='.$new_id);
 		}
 		# Add user
@@ -150,7 +150,7 @@
 			dcPage::addSuccessNotice(__('User has been successfully created.'));
 			if (!empty($_POST['saveplus'])) {
-				http::redirect($core->adminurl->get("admin.user"));
+				http::redirect('user.php');
 			} else {
-				http::redirect($core->adminurl->get("admin.user",array('id' => $new_id)));
+				http::redirect('user.php?id='.$new_id);
 			}
 		}
@@ -187,5 +187,5 @@
 		array(
 			__('System') => '',
-			__('Users') => $core->adminurl->get("admin.users"),
+			__('Users') => 'users.php',
 			$page_title => ''
 		))
@@ -201,5 +201,5 @@
 
 echo
-'<form action="'.$core->adminurl->get("admin.user").'" method="post" id="user-form">'.
+'<form action="user.php" method="post" id="user-form">'.
 '<div class="two-cols">'.
 
@@ -324,7 +324,7 @@
 	{
 		echo
-		'<form action="'.$core->adminurl->get("admin.user.actions").'" method="post">'.
+		'<form action="users_actions.php" method="post">'.
 		'<p><input type="submit" value="'.__('Add new permissions').'" />'.
-		form::hidden(array('redir'),$core->adminurl->get("admin.user",array('id' => $user_id))).
+		form::hidden(array('redir'),'user.php?id='.$user_id).
 		form::hidden(array('action'),'blogs').
 		form::hidden(array('users[]'),$user_id).
@@ -347,7 +347,6 @@
 				{
 					echo
-					'<form action="'.$core->adminurl->get("admin.user.actions").'" method="post" class="perm-block">'.
-					'<p class="blog-perm">'.__('Blog:').' <a href="'.
-					$core->adminurl->get("admin.blog",array('id' => html::escapeHTML($k)))'">'.
+					'<form action="users_actions.php" method="post" class="perm-block">'.
+					'<p class="blog-perm">'.__('Blog:').' <a href="blog.php?id='.html::escapeHTML($k).'">'.
 					html::escapeHTML($v['name']).'</a> ('.html::escapeHTML($k).')</p>';
 
@@ -361,5 +360,5 @@
 					'</ul>'.
 					'<p class="add-perm"><input type="submit" class="reset" value="'.__('Change permissions').'" />'.
-					form::hidden(array('redir'),$core->adminurl->get("admin.user",array('id' => $user_id))).
+					form::hidden(array('redir'),'user.php?id='.$user_id).
 					form::hidden(array('action'),'perms').
 					form::hidden(array('users[]'),$user_id).
